Company search: order (async)
Order a company search in the official register of one jurisdiction.
Authorization
api_key Sign up at Kausate.com to get an API key
In: header
Query Parameters
Set to true for batch orders: many orders you submit together and do not need answered immediately. They run at a lower priority than interactive orders.
falseHeader Parameters
"2026-05-01"dateOptional customer ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.kausate.com/v2/companies/search" \ -H "X-API-Key: $KAUSATE_API_KEY" \ -H "Kausate-Version: 2026-05-01" \ -H "Content-Type: application/json" \ -d '{ "companyName": "Lindt", "jurisdictionCode": "de"}'{
"orderId": "live-search-de-lindt-org_01ABC-20240319143022",
"customerReference": "search-ref-123",
"metadata": {
"team": "kyb",
"ticket": "ACME-42"
},
"cachedOrder": false,
"resultUrl": "/v2/companies/search/live-search-de-lindt-org_01ABC-20240319143022"
}{
"detail": "Invalid company ID format",
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "API key is required",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"kausateId"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "The data source is rate-limiting requests right now, please try again later",
"code": "source.rate_limited",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
"code": "capability.not_available",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Network error while reaching the data source",
"code": "source.network_error",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Data source temporarily unavailable",
"code": "source.unavailable",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on